sqlite Version in PHP 8.2

  • Hallo zusammen,

    ich habe ein Webhosting 4000 Paket. Eine Applikation benötigt eine höhere Version von sqlite als die in PHP Info ersichtliche 3.27.2 .

    Kann ich die Version selbst auf dem Server updaten? Hat jemand ein Tutorial?


    Die von netcup "installierte" Version ist schon über 4 Jahre alt: https://www.sqlite.org/chronology.html

    Ist es geplant die mal standardmäßig zu aktualisieren?


    Freue mich über Rückmeldungen. Danke im Voraus!

  • Die Applikation ist bisher recht einfach zu administrieren und nutzt eben sqlite. Mit dem neusten Versionsupdate verlangt er aber mindestens SQLite 3.34.0.

  • Dann gibt es da aber Abweichung über die verschiedenen Hosts

    Wenn du einen Host hast mit neuerem SQLite, dann offenbar ja. Bei einem meiner Webhostings ist es aber auch 3.27.2. Andererseits gibt es dann Hoffnung, dass entweder eine neuere SQLite Version auf dem Server installiert werden könnte oder eventuell ein neueres Exemplar des Webhosting 4000 eine höhere SQLite Version mitbringt. Vielleicht ist ja auch ein Umzug auf einen entsprechenden Server möglich, fragen kostet nichts. Auch wenn man eventuell den Umzug selbst bewerkstelligen muss, was ich befürchte.


    "Anderswo" habe ich ein PHP 8.1.26 mit SQLite Version 3.34.1. Auch nicht gerade das Allerneuste, aber immerhin.

  • laut Support ist das halt einfach so. Wenns einen stört muss man sich einen VServer oder managed private Server holen. Es wird aber unter Verbesserungsvorschläge mal hinterlegt.....wenn jetzt noch der ein oder andere sich vielleicht auch melden würde, könnte das eventuell auch zum nächsten Release was werden :rolleyes:

  • Hier in voller Länge

  • Hier in voller Länge

    Klassischer Fall von „nicht richtig gelesen und Standardantwort versendet“.


    Wir hatten doch auch mal den Fall, dass die Webhostings unterschiedliche TLS-Versionen unterstützt haben. Das wurde dann auch gleichgezogen.

    Hier hilft nur hartnäckig bleiben oder die richtigen Leute anpingen.

    RS Brezn | VPS 500 G8 Plus | 2× VPS Karneval 2020 | VPS Pocket Admin | RS Cyber Quack | Webhosting EiWoMiSau


    Dieses Gebäude hat mir die Vorfahrt genommen! *hup*

    Like 4
  • ich habe jetzt mal den Thread hier mit angehängt, der ja zeigt, dass es scheinbar verschiedene Konfigurationen gibt. Ich glaube ich muss dann echt mal kündigen und umziehen....Hab ich mir zwar auch mal aus finanziellen Punkten überlegt, war dann jedoch immer zu faul für die Ersparnis alles umzubauen, vorallem Email mit den Servereinstellungen muss an allen Clients dann geändert werden

  • Da mehrere von euch anscheinend sqlite nutzen/genauer kennen: Kann sqlite weiterhin nur den 92er-Standard oder ist der Support diesbezüglich vorangekommen? Die letzte Version kam im Januar 2024 raus, vielleicht hat sich in den letzten Jahren etwas geändert?

  • Da mehrere von euch anscheinend sqlite nutzen/genauer kennen: Kann sqlite weiterhin nur den 92er-Standard oder ist der Support diesbezüglich vorangekommen? Die letzte Version kam im Januar 2024 raus, vielleicht hat sich in den letzten Jahren etwas geändert?

    Die maßgebliche Übersicht der unterstützten Befehle findet sich hier. (Wobei die Wikipedia-Beschreibung zu SQLite auch aktuell gehalten wird.)

    VServer IOPS Comparison Sheet: https://docs.google.com/spreadsheets/d/1w38zM0Bwbd4VdDCQoi1buo2I-zpwg8e0wVzFGSPh3iE/edit?usp=sharing

    Edited once, last by m_ueberall ().

    Like 1